Page MenuHomePhabricator

Hide 'continue' button when opening CC iframe
Closed, ResolvedPublic

Description

...if not the whole personal info field. Should never have two 'continue' buttons on the screen at once.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterFix double continue button situations

Event Timeline

Ejegg created this task.Oct 27 2016, 9:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2016, 9:15 PM
Ejegg added a comment.Oct 27 2016, 9:20 PM

Alternatively, make continue button unnecessary. When donor clicks card type and validation fails, card type should stay unselected, so they have to click it again.

DStrine triaged this task as Medium priority.Nov 1 2016, 9:07 PM
Pcoombe raised the priority of this task from Medium to High.Jun 29 2017, 1:23 PM
Pcoombe added a subscriber: Pcoombe.

Raising priority on this, it's weird behaviour and potentially confusing for donors.

Ejegg added a subscriber: MeganHernandez_WMF.EditedJun 29 2017, 4:54 PM

@Pcoombe and @MeganHernandez_WMF - which would you prefer?

  • hide the continue button when opening the iframe
  • hide all the personal info and amount fields when opening the iframe
  • when you click a card type and validation fails, card type stays unselected
Ejegg added a comment.Jun 29 2017, 4:59 PM

Feedback from meeting:
@Pcoombe : hiding all the info would be a big change to the flow
@Nirzar : good first step would be just hiding the 'Continue' button on opening iframe

Change 373704 had a related patch set uploaded (by Pcoombe; owner: Pcoombe):
[mediawiki/extensions/DonationInterface@master] Don't select a submethod if there are errors in personal info

https://gerrit.wikimedia.org/r/373704

@Ejegg The above patch adopts approach 3: "when you click a card type and validation fails, card type stays unselected". I think this is what we want to go with for now to fix the bug, and then possibly look at hiding the personal info fields in a future test.

Change 373704 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix double continue button situations

https://gerrit.wikimedia.org/r/373704

Pcoombe closed this task as Resolved.Sep 21 2017, 7:11 PM
Pcoombe claimed this task.